likes
comments
collection
share

搞定项目npm依赖升级

作者站长头像
站长
· 阅读数 31

项目背景

最近产品经理提出了更新项目依赖、提升前端性能和用户体验的需求,因此需要对项目中的npm依赖进行升级,在此将升级npm依赖的方式进行一下总结。

觉得文章不错、或对自己开发有所帮助,欢迎点赞收藏!❤❤❤

使用npm install 或 update方式

  1. 查看项目sass依赖版本,可以看到项目中的sass版本为1.50.0(本文以sass来举例说明) 搞定项目npm依赖升级
  2. 查找sass依赖的最新版本
npm view sass version

搞定项目npm依赖升级

  1. 查找sass依赖的历史版本
npm view sass versions

搞定项目npm依赖升级

  1. 使用 npm install 升级sass依赖
//--save/-S 保存至项目依赖 或 --save-dev/-D 保存至项目开发环境依赖

npm i sass@1.55.0 -D

或者

npm i sass@latest -D
  1. 使用 npm update 升级sass依赖(需要在 package.json 手动更改依赖包相应版本号)

搞定项目npm依赖升级

npm update sass

使用 npm-check-updates 方式

  1. 全局安装 npm-check-updates 升级工具
npm install npm-check-updates -g
  1. 查看项目中npm依赖包当前版本和最新版本
ncu

搞定项目npm依赖升级

  1. 升级package.json的依赖版本号
ncu -u

搞定项目npm依赖升级

可以看到此时package.json中的依赖版本号都已经升级至最新版本,此时使用 npm i 重新安装即可

写在最后

推荐几个作者参与的开源项目,如果项目有帮助到你,欢迎star!

基于Vue3、TS、Vite的仿羊了个羊之果了个果项目手把手教程

基于Vue3、TS、Vite、qiankun技术栈的后台管理项目www.xkxk.tech

基于Vue3、Vite的仿element UI的组件库项目ui.xkxk.tech

基于Vue3、Vite的炫酷大屏项目screen.xkxk.tech